package be.bitscuit.calendar.Util;

import android.content.Context;
import android.content.SharedPreferences;

public class UserPrefs {
    
    private Context context;
    private SharedPreferences prefs;
    private SharedPreferences.Editor editor;
    
    public UserPrefs(Context context){
        this.context = context;
        prefs = context.getSharedPreferences("USER_PRES", Context.MODE_PRIVATE);
        editor = prefs.edit();
    }
    
    
    public boolean getAutoDeleteTasks(){
        return prefs.getBoolean("AUTO_DELETE_TASKS", false);
    }
    
    public void setAutoDeleteTasks(boolean b){
        editor.putBoolean("AUTO_DELETE_TASKS", b);
        editor.commit();
    }
    
    public long getAutoDeleteTasksAfter(){
        return prefs.getLong("AUTO_DELETE_TASKS_AFTER", 86400000*14); 
    }
    
    public void setAutoDeleteTasksAfter(long after){
        editor.putLong("AUTO_DELETE_TASKS_AFTER", after);
        editor.commit();
    }

    public boolean getSendDailyOverview(){
        return prefs.getBoolean("SEND_DAILY_OVERVIEW", false);
    }

    public void setSendDailyOverview(boolean b){
        editor.putBoolean("SEND_DAILY_OVERVIEW", b);
        editor.commit();
    }

    public long getDailyOverviewTime(){
        return prefs.getLong("DAILY_OVERVIEW_TIME", 3600000*7);
    }

    public void setDailyOverviewTime(long time){
        editor.putLong("DAILY_OVERVIEW_TIME", time);
        editor.commit();
    }

    public boolean getSendSleepReminder(){
        return prefs.getBoolean("SEND_SLEEP_REMINDER", false);
    }

    public void setSendSleepReminder(boolean b){
        editor.putBoolean("SEND_SLEEP_REMINDER", b);
        editor.commit();
    }

    public long getSleepTime(){
        return prefs.getLong("SLEEP_TIME", 3600000*22);
    }

    public void setSleepTime(long time){
        editor.putLong("SLEEP_TIME", time);
        editor.commit();
    }
    
}
